from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XStatusbarController(Protocol):
    def mouseButtonDown(self, aMouseEvent: MouseEvent) -> bool: ...
    def mouseMove(self, aMouseEvent: MouseEvent) -> bool: ...
    def mouseButtonUp(self, aMouseEvent: MouseEvent) -> bool: ...
    def command(self, aPos: Point, nCommand: int, bMouseEvent: bool, aData: Any) -> None: ...
    def paint(self, xGraphics: XGraphics, OutputRectangle: Rectangle, nStyle: int) -> None: ...
    def click(self, aPos: Point) -> None: ...
    def doubleClick(self, aPos: Point) -> None: ...
